Bug 844939 - [rhevm-reports] - SSO - Auto login fails via Webadmin due to incorrect URL in applicationContext-security-web.xml
[rhevm-reports] - SSO - Auto login fails via Webadmin due to incorrect URL in...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 05:54 EDT by David Botzer
Modified: 2016-02-10 14:14 EST (History)
7 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-08-01 05:54:50 EDT
Description of problem:
SSO Fails when opening Dashboard via Webadmin 
due to incorrect URL in applicationContext-security-web.xml
-- http://localhost/OvirtEngineWeb/ValidateSession

Version-Release number of selected component (if applicable):
3.1/si12

How reproducible:
always

Steps to Reproduce:
1.install rhevm+reports
2.connect to webadmin & press Dashboard tab or open a report
  
Actual results:
User is required to insert user/password

Expected results:
Should be logged in automatically with Webadmin user/password

Additional info:
This is due to wrong url in applicationContext-security-web.xml

URL Should contain correct rhevm FQDN & Port number
Comment 2 David Botzer 2012-08-05 04:23:33 EDT
Fixed SI13.1
Correct value represents the HttpS + FQDN & Port
<property name="servletURL" value="https://dbotzer-fqdn:8043/OvirtEngineWeb/ValidateSession"
Fixed SI13.1

* First time Open Dashboard also works correctly

Note You need to log in before you can comment on or make changes to this bug.